--- title: "Update the GTI Private Cloud Configuration" slug: "update-the-gti-private-cloud-configuration" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:36:53Z published: 2026-09-23T09:36:53Z canonical: "docs.trellix.com/update-the-gti-private-cloud-configuration" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update the GTI Private Cloud Configuration This URL updates the GTI private cloud configuration present on the Manager. ## Resource URL PUT /gticonfiguration/private ## Request Parameters URL Parameters: None Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | enabled | GTI private cloud is enabled or not | Boolean | Yes | | server | Server IP | String | Yes | ## Response Parameters Following fields are returned: | Field Name | Description | Data Type | | --- | --- | --- | | status | Set to 1 if the update is successful | Number | ## Example **Request** PUT [https:///sdkapi/gticonfiguration/private](https://%3CNSM_IP%3E/sdkapi/getclusterid) **Payload** ``` { "enabled":false,"server":null,"certificateStatus":false } ``` **Response** ``` { "status":1 } ```   ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error | | 2 | 400 | 1111 | Certificate should be present on the Manager | | 3 | 400 | 1111 | Invalid IP address |